package com.alttd.altitudeweb.database.discord;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface OutputChannelMapper {
    @Select("""
            SELECT guild, output_type, channel, channel_type
            FROM output_channels
            WHERE output_type = #{outputType}
            """)
    List<OutputChannel> getChannelsWithOutputType(@Param("outputType") String outputType);
}
